## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSourceSoftware Struct Reference
[Sound system]

@@ Document me. More...

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSourceSoftware:

[legend]
List of all members.

## Public Member Functions

virtual size_t | MergeIntoBuffer (csSoundSample *channel_buffer, size_t buffer_samples)=0
| Renderer convenience interface - requests the source to fill the supplied buffers.

## Detailed Description

@@ Document me.

Definition at line 65 of file ss_source.h.

## Member Function Documentation

virtual size_t iSndSysSourceSoftware::MergeIntoBuffer | ( | csSoundSample * | channel_buffer,
|  | size_t | buffer_samples
| ) | `[pure virtual]`

| Renderer convenience interface - requests the source to fill the supplied buffers.

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h